<div class="container containerSupplier" >

<form class="supplierListForm" enctype="multipart/form-data">
    @csrf
    <div class="container-fluid" >
        <table id="dataTableSupplier" class="dataTable display" style="width:100%">
            <thead>
            <tr>

                <th>Azonosító</th>
                <th>Név</th>
                <th>Hooreyca azonosító</th>
                <th>Beszállító  betűkódja</th>
                <th>Felvitel</th>
                <th></th>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <th>Azonosító</th>
                <th>Beszállító</th>
                <th>Hooreyca azonosító</th>
                <th>Beszállító  betűkódja</th>
                <th>Felvitel</th>
                <th></th>
            </tr>
            </tfoot>
        </table>
    </div>
</form>
</div>
<script>
    $(document).ready(function() {
        if(!APP.Supplier){
            console.log('nincs APP.Supplier');
            APP.Supplier = new window.Supplier({ });
            console.log(typeof Supplier);
          /*
            APP.Supplier = new Supplier({
                'contacts':[
                    {
                        id:76,
                        name:'Miksóné Borbély Erzsébet',
                        email:'szamlazas1@funkcio.hu',
                        phone:'{{formatterPhoneNumber("+36203407500")}}'
                    },
                    {
                        id:12,
                        name:'Pap Beáta',
                        email:'szamlazas2@funkcio.hu',
                        phone:'{{formatterPhoneNumber("+36208512351")}}'
                    },
                    {
                        id:3,
                        name:'Kósa Veronika',
                        email:'szamlazas4@funkcio.hu',
                        phone:'{{formatterPhoneNumber("+36204589180")}}'
                    }

                ]
            });
          */
            console.log('letrehozva APP.Supplier');

        };
        //Supplier=APP.Supplier;
        if(!APP.SupplierAdmin){
            console.log('nincs APP.SupplierAdmin')
            APP.SupplierAdmin = new window.SupplierAdmin();
        };
        @if ($init)
        APP.SupplierAdmin.init({
            URL: {
                getDataTableContent:'{{route('admin.supplier.getDataTableContent')}}',
                index:'{{route('admin.supplier.index')}}',
                show:'{{route('admin.supplier.show',"%id%")}}',
                create:'{{route('admin.supplier.create')}}',
                edit:'{{route('admin.supplier.edit',"%id%")}}',
                store:'{{route('admin.supplier.store')}}',
                update:'{{route('admin.supplier.update',"%id%")}}',
                destroy:'{{route('admin.supplier.destroy',"%id%")}}',
                attachFile:'{{route('admin.supplier.attachFile',"%id%")}}',
                detachFile:'{{route('admin.supplier.detachFile',"%id%")}}',
            },
            testMode:{{$testMode}}
        },APP.Supplier);
        @endif

    });
</script>

